#! -*- coding: utf-8 -*-
from django.utils.translation import ugettext as _
from django.db import models
from django.conf import settings

from cms.models.pluginmodel import CMSPlugin

from jmb.core.db.cmsmodels import WrapModel, StatusModel
from acomea.fondi.models import Fund


class DettaglioFondoSettings(CMSPlugin):
    fondo = models.ForeignKey(Fund)

    class Meta:
        app_label = 'vistesoap'


class DataRisultatiSettings(CMSPlugin, WrapModel):
    date_text = models.CharField(
        _("Text"),
        max_length=200,
        null=True, blank=True,
        default=None,
        help_text=_("(Optional) Text that will be displayed before datepicker input"),
    )

    template_name = models.CharField(
        max_length=150,
        choices=settings.VISTESOAP_DATARISULTATI_CMSPLUGIN_TEMPLATES,
        default="vistesoap/cms_plugins/data_risultati.html",
    )

    class Meta:
        app_label = 'vistesoap'


class QuoteRisultatiSettings(CMSPlugin, StatusModel):
    template_name = models.CharField(
        max_length=255,
        choices=settings.VISTESOAP_QUOTERISULTATI_CMSPLUGIN_TEMPLATES,
        default="vistesoap/cms_plugins/tabella_quote_risultati.html",
    )

    class Meta:
        app_label = 'vistesoap'