#! -*- coding: utf-8 -*-
from django.utils.translation import ugettext as _

from cms.plugin_base import CMSPluginBase
from cms.plugin_pool import plugin_pool

from acomea.fondi.models import FundCategory
from acomea.vistesoap.cms.models import (
    DettaglioFondoSettings, DataRisultatiSettings, QuoteRisultatiSettings
)


class QuoteRisultatiPlugin(CMSPluginBase):
    model = QuoteRisultatiSettings
    name = _("Tabella Quote e Risultati")
    module = _("SOAP")
    admin_preview = False

    def __init__(self, *args, **kwargs):
        super(QuoteRisultatiPlugin, self).__init__(*args, **kwargs)

    def render(self, context, instance, placeholder):
        self.render_template = instance.template_name

        aree = FundCategory.objects.all().order_by('title')
        context.update({
            'aree':         aree,
            'instance':     instance,
            'placeholder':  placeholder,
        })
        return context

plugin_pool.register_plugin(QuoteRisultatiPlugin)


class DataRisultatiPlugin(CMSPluginBase):
    model = DataRisultatiSettings
    name = _("Data Risultati")
    module = _("SOAP")

    def render(self, context, instance, placeholder):
        self.render_template = instance.template_name

        context.update({
            'instance':     instance,
            'placeholder':  placeholder,
        })
        return context

plugin_pool.register_plugin(DataRisultatiPlugin)


class DettaglioFondoPlugin(CMSPluginBase):
    model = DettaglioFondoSettings
    name = _("Dettaglio Fondo")
    module = _("SOAP")

    def render(self, context, instance, placeholder):
        self.render_template = "cms_plugins/dettaglio_fondo.html"
        fondo = instance.fondo
        context.update({
            'fondo':        fondo,
            'instance':     instance,
            'placeholder':  placeholder,
        })
        return context

plugin_pool.register_plugin(DettaglioFondoPlugin)